Class
Triple
Stores three arbitrary objects.

Triple

Packed Triple

Triple<T1[, T2[, T3[, TSpec]]]>
Parameters

T1 | The type of the first object.
T2 | The type of the second object. Default: T1
T3 | The type of the third object. Default: T1
TSpec | The specializing type. Default: void, no packing (faster access).

Specializations

Packed Triple | Stores three arbitrary objects. Saves memory by disabling memory alignment.

Metafunctions

LENGTH | Number of elements in a fixed-size container.
Spec | The spec of a class.
Value | Type of the items in the container or behind an iterator.

Data Members

i1 | T1 object
i2 | T2 object
i3 | T3 object

Member Functions

Triple | Constructor

Part of Concept
AggregateConcept
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57